Commit 02f34f54 authored by Arnaud Blanchard's avatar Arnaud Blanchard
Browse files

Fix image checking

parent a4c0477c
......@@ -28,8 +28,8 @@ trap 'rm -f "$LOG"' EXIT INT HUP TERM
$blaar_dir/compile.sh t_convert_image 2>&1 > $LOG || { cat $LOG; echo "ERROR: Fail compiling t_load_and_save_png"; exit 1; } # 2>&1 : stderr is redirected like stdout
$blaar_dir/bin/t_convert_image 2>&1 > $LOG || { cat $LOG; echo "ERROR: Fail executing bin/t_load_and_save_png"; exit 2; }
git diff --exit-code t_convert_image/float_result.tsv 2>&1 > $LOG || { cat $LOG; echo "ERROR: The result of $test/float_result.tsv is not the one expected"; exit 3; }
git diff --exit-code t_convert_image/uchar_result.tsv 2>&1 > $LOG || { cat $LOG; echo "ERROR: The result of $test/uchar_result.tsv is not the one expected"; exit 3; }
git diff --exit-code t_convert_image/float_result.tsv 2>&1 > $LOG || { cat $LOG; echo "ERROR: The result of t_convert_image/float_result.tsv is not the one expected"; exit 3; }
git diff --exit-code t_convert_image/uchar_result.tsv 2>&1 > $LOG || { cat $LOG; echo "ERROR: The result of t_convert_image/uchar_result.tsv is not the one expected"; exit 3; }
echo "- t_convert_image: compilation:OK, execution:OK, results:OK"
echo
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment